<script setup>
// imports
import { useRoute } from 'vue-router'
import { watch , onMounted } from 'vue'
import { useBaseStore } from '@/core/stores/base';
// route data
const route = useRoute()
// emits
const emits = defineEmits(['onActiveItemChange'])
// data
const baseStore = useBaseStore()
// methods
const onDarkModeChangeHandler = (e) => {
  baseStore.changeThemeColorMode(e.target.checked)
}
// whatchers
watch(route, () => {
  emits('onActiveItemChange')
})
// on mounted
onMounted(() => {

})
</script>

<template>
  <div>
    <nav class="border-t border-border-primary-light dark:border-border-primary-dark py-6">
      <ul class="flex flex-col">
        <li>
          <RouterLink
            to="/"
            title="Home"
            :class="{ '!bg-primary !opacity-100 text-text-primary-dark dark:text-text-primary-dark': route.name === 'home' }"
            class="flex items-center gap-x-3 px-4 bg-transparent opacity-65 hover:opacity-100 transition-all py-4"
          >
            <i class="flaticon-solarhomeanglebold"></i>
            <span>Home</span>
          </RouterLink>
        </li>
        <li>
          <RouterLink
            to="/contact"
            title="Contact us"
            :class="{ '!bg-primary !opacity-100 text-text-primary-dark dark:text-text-primary-dark': route.name === 'contact' }"
            class="flex items-center gap-x-3 px-4 bg-transparent opacity-65 hover:opacity-100 transition-all py-4"
          >
            <i class="flaticon-application"></i>
            <span>Contact us</span>
          </RouterLink>
        </li>
        <li>
          <RouterLink
            to="/products/add"
            title="Add product"
            :class="{ '!bg-primary !opacity-100 text-text-primary-dark dark:text-text-primary-dark': route.name === 'add-product' }"
            class="flex items-center gap-x-3 px-4 bg-transparent opacity-65 hover:opacity-100 transition-all py-4"
          >
            <i class="flaticon-add"></i>
            <span>Add product</span>
          </RouterLink>
        </li>
        <li>
          <div class="py-4 flex items-center gap-3 justify-between px-4">
            <label for="darkmode" class="cursor-pointer">Dark mode</label>
            <input id="darkmode" @change="onDarkModeChangeHandler" type="checkbox" class="switch" :checked="baseStore.theme === 'dark'" />
          </div>
        </li>
      </ul>
    </nav>
    <div>

    </div>
  </div>
</template>
